package com.ardraw.ardrawingflow.data.database.entity;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity
public class FlowData implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;
    private String imagePath;
    private boolean imageType;
    private boolean isLike;

    public FlowData(String imagePath, boolean imageType, boolean isLike) {
        this.imagePath = imagePath;
        this.imageType = imageType;
        this.isLike = isLike;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public boolean isImageType() {
        return imageType;
    }

    public void setImageType(boolean imageType) {
        this.imageType = imageType;
    }

    public boolean isLike() {
        return isLike;
    }

    public void setLike(boolean like) {
        isLike = like;
    }
}